test = {   'name': 'q2b',
    'points': 1,
    'suites': [   {   'cases': [   {   'code': '>>> \n'
                                               '>>> '
                                               '######################################;\n'
                                               '>>> ## DO NOT MODIFY BELOW '
                                               'THIS COMMENT ##;\n'
                                               '>>> '
                                               '######################################;\n'
                                               '>>> \n'
                                               '>>> num_iters, min_n, max_n, '
                                               'sigma = 1000, 10, 100, 10;\n'
                                               '>>> for _ in '
                                               'range(num_iters):\n'
                                               '...     m = '
                                               'np.random.randint(min_n, '
                                               'max_n)\n'
                                               '...     n = '
                                               'np.random.randint(min_n, '
                                               'max_n)\n'
                                               '...     v1 = sigma * '
                                               'np.random.randn(m)\n'
                                               '...     v2 = sigma * '
                                               'np.random.randn(n)\n'
                                               '...     S = vec_vec_outer(v1, '
                                               'v2)\n'
                                               '...     P = np.outer(v1, v2)\n'
                                               '...     assert (\n'
                                               '...         S.shape == '
                                               'P.shape\n'
                                               '...     ), "Calculated shape '
                                               '{} does not match the expected '
                                               'shape {}".format(\n'
                                               '...         S.shape, P.shape\n'
                                               '...     )\n'
                                               '...     assert np.all(\n'
                                               '...         np.isclose(S, P)\n'
                                               '...     ), "Calculated '
                                               'value\\n{}\\ndoes not match '
                                               'the expected '
                                               'value\\n{}".format(\n'
                                               '...         str(S), str(P)\n'
                                               '...     );\n'
                                               '>>> print("Congratulations! '
                                               'Your vec_vec_outer function is '
                                               'correct!")\n'
                                               'Congratulations! Your '
                                               'vec_vec_outer function is '
                                               'correct!\n',
                                       'hidden': False,
                                       'locked': False}],
                      'scored': True,
                      'setup': '',
                      'teardown': '',
                      'type': 'doctest'}]}
